import AbstractProvider from './provider';
export default class AMapProvider extends AbstractProvider {
    constructor() {
        super(...arguments);
        this.searchUrl = 'https://restapi.amap.com/v3/geocode/geo';
    }
    endpoint({ query }) {
        const params = typeof query === 'string' ? { address: query } : query;
        params.output = 'JSON';
        return this.getUrl(this.searchUrl, params);
    }
    parse(response) {
        var _a;
        const records = (_a = response.data.geocodes) !== null && _a !== void 0 ? _a : [];
        return records.map((r) => ({
            x: Number(r.location.substring(0, r.location.indexOf(','))),
            y: Number(r.location.substring(r.location.indexOf(',') + 1)),
            label: r.formatted_address,
            bounds: null,
            raw: r,
        }));
    }
}
//# sourceMappingURL=amapProvider.js.map